<template>
  <div>
    <NavbarAdmin v-if="isAdmin" />
    <NavbarUser v-else-if="isUser" />
    <NavbarLogin v-else />
    <router-view></router-view>
  </div>
</template>

<script>
import NavbarAdmin from "../components/includes/NavbarAdmin.vue";
import NavbarUser from "../components/includes/NavbarUser.vue";
import NavbarLogin from "../components/includes/NavbarLogin.vue";

export default {
  components: {
    NavbarAdmin,
    NavbarUser,
    NavbarLogin,
  },
  data() {
    return {
      isAdmin: false,
      isUser: false,
    };
  },
  created() {
    this.checkSession();
  },
  methods: {
    async checkSession() {
      const response = await fetch("/api/session-data");
      const data = await response.json();

      this.isAdmin = data.isAdmin;
      this.isUser = data.isUser;
    },
  },
};
</script>
